# Create a registration

Creates a new Tax `Registration` object.

## Request

```curl
curl https://api.stripe.com/v1/tax/registrations \
  -u "<<YOUR_SECRET_KEY>>" \
  -d country=US \
  -d "country_options[us][state]=CA" \
  -d "country_options[us][type]=state_sales_tax" \
  -d active_from=now
```

### Response

```json
{
  "id": "taxreg_NkyGPRPytKq66j",
  "object": "tax.registration",
  "active_from": 1682036640,
  "country": "US",
  "country_options": {
    "us": {
      "state": "CA",
      "type": "state_sales_tax"
    }
  },
  "created": 1682006400,
  "expires_at": null,
  "livemode": false,
  "status": "active"
}
```

## Returns

A Tax `Registration` object.

## Parameters

- `active_from` (string, value is "now" | timestamp, required)
  Time at which the Tax Registration becomes active. It can be either `now` to indicate the current time, or a future timestamp measured in seconds since the Unix epoch.

- `country` (string, required)
  Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

- [`country_options`](https://docs.stripe.com/api/tax/registrations/create.md?query=country_options) (object, required)
  Specific options for a registration in the specified `country`.

- `expires_at` (timestamp, optional)
  If set, the Tax Registration stops being active at this time. If not set, the Tax Registration will be active indefinitely. Timestamp measured in seconds since the Unix epoch.
